Package twisted :: Package names :: Module server :: Class DNSServerFactory

[frames | no frames]

## Class DNSServerFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   DNSServerFactory

Method Summary
| `__init__(self, authorities, caches, clients, verbose)`
| `allowQuery(self, message, protocol, address)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `connectionMade(self, protocol)`
| `gotResolverError(self, failure, protocol, message, address)`
| `gotResolverResponse(self, (ans, auth, add), protocol, message, address)`
| `handleInverseQuery(self, message, protocol, address)`
| `handleNotify(self, message, protocol, address)`
| `handleOther(self, message, protocol, address)`
| `handleQuery(self, message, protocol, address)`
| `handleStatus(self, message, protocol, address)`
| `messageReceived(self, message, proto, address)`
| `sendReply(self, protocol, message, address)`
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`NoneType` | `cache` = None
`FakeModule` | `protocol` = `<Fake twisted.protocols.dns.DNSProtocol>`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Parameters:
    `addr` - an object implementing `twisted.internet.interfaces.IAddress`
  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

### cache

  Type:
    `NoneType`
  Value:

        None

### protocol

  Type:
    `FakeModule`
  Value:

        <Fake twisted.protocols.dns.DNSProtocol>

Generated by Epydoc 2.0 on Sat May 15 20:08:43 2004 | http://epydoc.sf.net